Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.adapters
Class AbstractDOMAdapter

    java.lang.Object
      |
      +--org.jdom.adapters.AbstractDOMAdapter

Direct Known Subclasses:
  CrimsonDOMAdapter, JAXPDOMAdapter, OracleV1DOMAdapter, OracleV2DOMAdapter, ProjectXDOMAdapter, XercesDOMAdapter, XML4JDOMAdapter

public abstract class AbstractDOMAdapter
extends Object
implements DOMAdapter

`AbstractDOMAdapter`

This class defines wrapper behavior for obtaining a DOM `Document` object from a DOM parser.

Version:
  1.0
Author:
  Brett McLaughlin, Jason Hunter

Constructor Summary
`AbstractDOMAdapter()`

Method Summary
`abstract Document` | `createDocument()` This creates an empty `Document` object based on a specific parser implementation.
`Document` | `createDocument(DocType doctype)` This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.
`Document` | `getDocument(File filename, boolean validate)` This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.
`abstract Document` | `getDocument(InputStream in, boolean validate)` This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDOMAdapter

    public AbstractDOMAdapter()

Method Detail

### getDocument

    public Document getDocument(File filename,
                                boolean validate)
                         throws Exception

  This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Specified by:
    getDocument in interface DOMAdapter
  Parameters:
    `filename` - file to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    Exception - when errors occur in parsing.

### getDocument

    public abstract Document getDocument(InputStream in,
                                         boolean validate)
                                  throws Exception

  This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Specified by:
    getDocument in interface DOMAdapter
  Parameters:
    `in` - `InputStream` to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    Exception - when errors occur in parsing.

### createDocument

    public abstract Document createDocument()
                                     throws Exception

  This creates an empty `Document` object based on a specific parser implementation.

  Specified by:
    createDocument in interface DOMAdapter
  Returns:
    `Document` - created DOM Document.
  Throws:
    Exception - when errors occur.

### createDocument

    public Document createDocument(DocType doctype)
                            throws Exception

  This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE. If the doctype parameter is null, the behavior is the same as calling `createDocument()`.

  Specified by:
    createDocument in interface DOMAdapter
  Parameters:
    `doctype` - Initial `DocType` of the document.
  Returns:
    `Document` - created DOM Document.
  Throws:
    Exception - when errors occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.